Skip to content

Örnek İstek & Yanıt ​

Endpoint ​

POST /api/Order/CreateOrder3D

"H": Ortak Ödeme Sayfası ​

3DS Model doğrulama ile başlatılan işlemler için örnek istek ve yanıt aşağıda verilmiştir. ​

İstek Gövdesi (Request Body) ​

http
POST/api/Order/CreateOrder3D
Headers:
  x_client_token: your_client_token_here  
  x_nonce: 52ffdfda-3fee-470a-a659-975bec3525c6
  x_timestamp: 20251230144142
  x_signature: generated_signature_hash
  Content-Type: application/json

{
    "orderId": "87c93fad-8da9-4973-9ca3-7e82d9da0c4d",
    "amount": 11000,
    "orderType": "H",
    "requestType": "3DS-MODEL",
    "currency": 949,
    "txnType": "Sale",
    "lang": "TR",
    "returnUrl": "https://www.ornekfirma.com/odeme/sonuc",
    "callbackUrl": "https://api.ornekfirma.com/odeme/callback",
    "additionalInfo": "no: 123456789",
    "invoiceInfo": "test adres bilgileri mah test sok no:1/A İSTANBUL"
}

Başarılı Yanıt (HTTP 200) ​

json
{
    "state": 1,
    "result": {
        "resultCode": null,
        "resultMessage": "",
        "processId": "60fcb93f-ec84-4071-8355-6deb67bab648",
        "link": "https://vpos-test.halkode.com.tr/#/payment?pk=ZEVPZXVvR1FuU0Y3OVlISVEwVmUvTjUrclBTRkJ2enovM2xVdUc5YkgrMDc4QUZRSTFveW9pWitFQXJGclRpOQ"
    }
}

3DS-PAY doğrulama ile başlatılan işlemler için örnek istek ve yanıt aşağıda verilmiştir. ​

İstek Gövdesi (Request Body) ​

http
POST/api/Order/CreateOrder3D
Headers:
  x_client_token: your_client_token_here  
  x_nonce: bacd5d03-db65-4b89-b399-bf7f82487663
  x_timestamp: 20251230144607
  x_signature: generated_signature_hash
  Content-Type: application/json

{
    "orderId": "ab0159b4-4b45-48a5-8018-71b65e74578e",
    "amount": 11000,
    "orderType": "H",
    "requestType": "3DS-PAY",
    "currency": 949,
    "txnType": "Sale",
    "lang": "TR",
    "returnUrl": "https://www.ornekfirma.com/odeme/sonuc",
    "callbackUrl": "https://api.ornekfirma.com/odeme/callback",
    "additionalInfo": "no: 123456789",
    "invoiceInfo": "test adres bilgileri mah test sok no:1/A İSTANBUL"
}

Başarılı Yanıt (HTTP 200) ​

json
{
    "state": 1,
    "result": {
        "resultCode": null,
        "resultMessage": "",
        "processId": "a37fc5d9-27ba-4ffc-b979-6e2e99c172ab",
        "link": "https://vpos-test.halkode.com.tr/#/payment?pk=QnBNcDh1OXdGN2dTUkVkaUFNalpQWUdKeStqS3dWbWNydnM5VEcyTVBSZ1NGM0ZJNzgzTU5ITlczK1c1QStWdA"
    }
}